Package Details: htop-git 1079.17bad17-1

Git Clone URL: https://aur.archlinux.org/htop-git.git (read-only, click to copy)
Package Base: htop-git
Description: Interactive text-mode process viewer
Upstream URL: https://github.com/SoapGentoo/htop
Licenses: GPL
Conflicts: htop
Provides: htop
Submitter: yar
Maintainer: yar
Last Packager: yar
Votes: 32
Popularity: 0.004643
First Submitted: 2014-02-13 21:17
Last Updated: 2020-05-23 22:03

Dependencies (5)

Required by (7)

Sources (1)

Latest Comments

1 2 Next › Last »

yar commented on 2020-05-23 22:09

@Hekuran Upstream doesn't support gcc10. The pull request to fix this hasn't been merged, even after 4 months: https://github.com/hishamhm/htop/pull/981

I just set this PKGBUILD to fetch from the PR's fork for now. If hishamhm (or someone else) ever resumes activity we'll have to change it again.

Hekuran commented on 2020-05-21 08:57

Im unable to compile, either htop from abs, htop-git, nor htop-vim-git. Here are my logs:

htop ABS: https://pastebin.com/raw/8rbJSUic

htop-git: https://pastebin.com/raw/mL8WKWqk

htop VIM GIT: https://pastebin.com/raw/yi6Kg3w0

linkmauve commented on 2020-01-18 12:11

Hi, you can replace python2 with python in makedepends, just like in extra: https://git.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/htop

yar commented on 2018-02-06 06:48

@HalJordan have you tried building with devtools? https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot

HalJordan commented on 2018-02-06 05:59

It seems to require a module that I can't find, either in the official repo, aur, or in cpan. I've already tried reinstalling Perl.

Can't locate IO/File.pm: /usr/lib/perl5/5.26/site_perl/IO/File.pm: Permission denied at /usr/share/autoconf/Autom4te/FileUtils.pm line 41. BEGIN failed--compilation aborted at /usr/share/autoconf/Autom4te/FileUtils.pm line 41. Compilation failed in require at /usr/bin/autoreconf line 42. BEGIN failed--compilation aborted at /usr/bin/autoreconf line 42.

yar commented on 2015-04-11 17:15

FYI the latest builds are failing. The last good build I could find is e3d1ca, so do this for now:

source=("git+${url}.git#commit=e3d1ca0d2074ec89155f9412c6caa621265a8824")

Barthalion commented on 2015-04-11 17:02

1. If bumping the epoch isn't worth "it", I wonder how you manage to change $pkgver at all.
2. Probably nobody cares about epochs in AUR, especially for VCS packages.

yar commented on 2014-10-29 22:20

@eworm, I'm afraid that would require bumping the epoch. Not sure that's worth it.

eworm commented on 2014-10-27 13:05

Any chance to get the last tag into the version string? Something like

git describe --tags | sed 's/-/./g'

would result in "1.0.3.32.g6fde54d".

yar commented on 2014-05-04 17:20

@Brottweiler Thanks for reporting that! Looks like an upstream bug. I wrote a patch to fix this PKGBUILD, and sent them a pull request: https://github.com/hishamhm/htop/pull/82